Bug 475944 - linuxwacom needs updated to 0.8.2
linuxwacom needs updated to 0.8.2
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: linuxwacom (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Aristeu Rozanski
Fedora Extras Quality Assurance
http://linuxwacom.sourceforge.net/ind...
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-11 02:53 EST by Kyle
Modified: 2009-12-18 02:15 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 02:15:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kyle 2008-12-11 02:53:13 EST
Description of problem: 
Wacom device 056a:0093 is not picked up by linuxwacom-0.8.0.3 in kernel 2.6.27


Version-Release number of selected component (if applicable):
Kernel: Linux 2.6.27.5-117.fc10.x86_64
Wacom Driver: linuxwacom-0.8.0.3-4.fc10.src.rpm


How reproducible: Always


Steps to Reproduce:
1. Install Fedora 10
2. Install linuxwacom
3.

  
Actual results: 
The device does not register with the current driver.


Expected results: 
A working/configurable device.


Additional info: 
Initial forum thread:
http://forums.fedoraforum.org/showthread.php?t=206576
latest linuxwacom release:
http://linuxwacom.sourceforge.net/index.php/dl
Comment 1 Lukas Tvrdy 2008-12-11 17:53:55 EST
Hello, I confirm this. 

Wacom needs to be updated. Does not work with new kernel.
I'm using Fedora 10 updated to latest.

linuxwacom-0.8.2.tar.bz2
Support: U
* SB Tablet PC with and without touch; 
* kernels up to 2.6.27; 
* Bamboo1 and Monarch; 
* new wacomcpl features.

dmesg:
wacdump[2917]: segfault at bff05110 ip 0804d89f sp bff04440 error 4 in wacdump[8048000+9000]

after running wacdump /dev/input/wacom
Comment 2 Lukas Tvrdy 2009-01-15 06:39:05 EST
Any progress with this maintainer?
Comment 3 Aristeu Rozanski 2009-01-15 14:40:12 EST
working on it. will update here when it's done.
Comment 4 Aristeu Rozanski 2009-01-15 16:38:45 EST
Kyle, Lukas,
please give
http://koji.fedoraproject.org/koji/taskinfo?taskID=1056510
a shot and tell me how it goes?
Comment 5 Lukas Tvrdy 2009-01-16 05:42:31 EST
I tried to update xorg-x11-server-Xorg, but I have got in FC10 repos:
xorg-x11-server-Xorg-1.5.3-6.fc10.i386

linuxwacom-0.8.2.1-1.fc11.i386 from linuxwacom-0.8.2.1-1.fc11.i386.rpm has depsolving problems
  --> Missing Dependency: xorg-x11-server-Xorg >= 1.5.99.1 is needed by package linuxwacom-0.8.2.1-1.fc11.i386 (linuxwacom-0.8.2.1-1.fc11.i386.rpm)
Error: Missing Dependency: xorg-x11-server-Xorg >= 1.5.99.1 is needed by package linuxwacom-0.8.2.1-1.fc11.i386 (linuxwacom-0.8.2.1-1.fc11.i386.rpm)
Comment 6 Aristeu Rozanski 2009-01-16 10:11:31 EST
wait, why are you trying to use the .fc11 package?
Comment 7 Lukas Tvrdy 2009-01-16 11:27:23 EST
Using linuxwacom-0.8.2.1-1.fc10.i386 now.Sorry, my mistake. I could not find it so I used search and found your build for fc11 but did not saw that it is for fc11.

Anyway, now I installed it without problems. Tablet works with Krita,
but "wacdump /dev/input/wacom" did not recognize it. xidump neither.

No errors in /var/log/messages and dmesg is ok too.
Any advice to get more information what is wrong?
Comment 8 Kyle 2009-01-16 18:44:07 EST
The package installed without a hitch, but I still have no /dev/input/wacom and "less /proc/bus/usb/devices" shows no driver.

I'm looking at the files list for the package and I see an xorg driver but no kernel driver. Also, dmesg shows "an original kernel module".

from http://linuxwacom.sourceforge.net/index.php/howto/testwacom

"The important detail is the version number. A version number like "1.46" is an original kernel version and not from the linuxwacom package. The correct version should also have the -j#.# or -pc#.# portion as well. This is to help differentiate between the stock kernel driver and those available from the Linux Wacom Project."

my dmesg:
usbcore: registered new interface driver wacom
wacom: v1.48:USB Wacom Graphire and Wacom Intuos tablet driver

The kernel driver has to pick up the device before anything else will work, and this is not happening. Is there any way we can get a wacom.o module to test?
Comment 9 Lukas Tvrdy 2009-01-17 11:01:15 EST
less /proc/bus/usb/devices 
...
T:  Bus=05 Lev=01 Prnt=01 Port=00 Cnt=01 Dev#=  2 Spd=12  MxCh= 0
D:  Ver= 1.10 Cls=00(>ifc ) Sub=00 Prot=00 MxPS= 8 #Cfgs=  1
P:  Vendor=056a ProdID=00b1 Rev= 1.02
S:  Manufacturer=Tablet
S:  Product=PTZ-630
C:* #Ifs= 1 Cfg#= 1 Atr=80 MxPwr=300mA
I:* If#= 0 Alt= 0 #EPs= 1 Cls=03(HID  ) Sub=01 Prot=02 Driver=wacom
E:  Ad=81(I) Atr=03(Int.) MxPS=  10 Ivl=4ms
...

dmesg | grep -i wacom
input: Wacom Intuos3 6x8 as /devices/pci0000:00/0000:00:1d.0/usb5/5-1/5-1:1.0/input/input11
usbcore: registered new interface driver wacom
wacom: v1.48:USB Wacom Graphire and Wacom Intuos tabl

ls -la /dev/input/wacom
lrwxrwxrwx 1 root root 7 2009-01-17 16:36 /dev/input/wacom -> event11
et driver

By default wacom.o is not build. (README) --enable-wacom is needed for configure.
Comment 10 Richard Schwarting 2009-01-19 02:17:05 EST
Yah.  When I build the module with --enable-wacom, I had to manually copy wacom.ko to drivers/input/tablet/ myself somewhat suggested by
http://linuxwacom.sourceforge.net/index.php/minihowto

The driver wasn't automatically loaded at boot, though.  

This is on an HP tx2617ca with its built-in USB tablet.
Comment 11 Aristeu Rozanski 2009-01-19 11:40:12 EST
(In reply to comment #7)
> Using linuxwacom-0.8.2.1-1.fc10.i386 now.Sorry, my mistake. I could not find it
> so I used search and found your build for fc11 but did not saw that it is for
> fc11.
> 
> Anyway, now I installed it without problems. Tablet works with Krita,
> but "wacdump /dev/input/wacom" did not recognize it. xidump neither.
>
> No errors in /var/log/messages and dmesg is ok too.
> Any advice to get more information what is wrong?
ok, will check.
Comment 12 Aristeu Rozanski 2009-01-19 11:41:48 EST
(In reply to comment #8)
> The package installed without a hitch, but I still have no /dev/input/wacom and
> "less /proc/bus/usb/devices" shows no driver.
> 
> I'm looking at the files list for the package and I see an xorg driver but no
> kernel driver. Also, dmesg shows "an original kernel module".
> 
> from http://linuxwacom.sourceforge.net/index.php/howto/testwacom
> 
> "The important detail is the version number. A version number like "1.46" is an
> original kernel version and not from the linuxwacom package. The correct
> version should also have the -j#.# or -pc#.# portion as well. This is to help
> differentiate between the stock kernel driver and those available from the
> Linux Wacom Project."
> 
> my dmesg:
> usbcore: registered new interface driver wacom
> wacom: v1.48:USB Wacom Graphire and Wacom Intuos tablet driver
> 
> The kernel driver has to pick up the device before anything else will work, and
> this is not happening. Is there any way we can get a wacom.o module to test?
this is a kernel driver issue. I'll check the kernel package. It's probable that
the linuxwacom maintainer didn't submit the changes for inclusion upstream.
Comment 13 Aristeu Rozanski 2009-01-19 11:43:58 EST
(In reply to comment #10)
> Yah.  When I build the module with --enable-wacom, I had to manually copy
> wacom.ko to drivers/input/tablet/ myself somewhat suggested by
> http://linuxwacom.sourceforge.net/index.php/minihowto
> 
> The driver wasn't automatically loaded at boot, though.  
> 
> This is on an HP tx2617ca with its built-in USB tablet.
this is not the case here. the kernel driver is included upstream and will be
available on the kernel package, not linuxwacom package which purpose is to
contain the xorg driver and userspace utilities.
Comment 14 Aristeu Rozanski 2009-01-19 12:59:30 EST
(In reply to comment #7)
> Using linuxwacom-0.8.2.1-1.fc10.i386 now.Sorry, my mistake. I could not find it
> so I used search and found your build for fc11 but did not saw that it is for
> fc11.
> 
> Anyway, now I installed it without problems. Tablet works with Krita,
> but "wacdump /dev/input/wacom" did not recognize it. xidump neither.
xidump works here. wacdump shouldn't: the driver "grabs" the /dev/input/ device
file and nothing trying to read it will succeed.

> No errors in /var/log/messages and dmesg is ok too.
> Any advice to get more information what is wrong?
you can try first using wacdump without the X server running to make sure the
kernel driver works
Comment 15 Kyle 2009-01-22 15:49:36 EST
can anyone tell me what the kernel module version for the 8.2 package is?

mine is...
usbcore: registered new interface driver wacom
wacom: v1.48:USB Wacom Graphire and Wacom Intuos tablet driver

and Aristeu, can you verify that the "8.2" kernel modules will be included in the next kernel release?
Comment 16 David Perkinson 2009-01-26 15:15:32 EST
I am using linuxwacom with Fedora 10 on a Thinkpad X200 tablet computer.  I used yum to install linuxwacom, and received version 0.8.0.3.  Thinks work, more or less, but the calibration get off under certain conditions.  It would be useful to have wacomcpl, but that doesn't seem to come with the current Fedora linuxwacom package.  

I would like to request that wacompl be included in the update to 8.2.  

I am tempted to follow the instructions in the mini howto at the linuxwacom site to install the latest version.  Is this advisable, or should I just wait until the next Fedora kernel update and hope wacomcpl is included?  Thanks for any advice.
Comment 17 Kyle 2009-01-28 21:25:57 EST
David, wacomcpl is included in the package Aristeu built and not tied to the kernel. I would tell you to see comment #4 to obtain, but I can't seem to find the rpm there anymore....

Regarding the kernel module driver, I just updated to kernel 2.6.27-170.2.5.fc10.x86_64 and it is still at v1.48.
Comment 18 Kyle 2009-03-06 05:33:48 EST
Can anyone provide me with an updated kernel driver? Currently, I can only assume that an update is what I need, but that my not be the case....
Comment 19 Bug Zapper 2009-11-18 05:26:35 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 20 Richard Schwarting 2009-12-06 02:16:12 EST
This seems to be fixed in F12 for me at least.
Comment 21 Lukas Tvrdy 2009-12-06 08:04:43 EST
I can't check as I can't update to F12 because some other stuff does not work for me.
Comment 22 Bug Zapper 2009-12-18 02:15:41 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.